## org.apache.fop.pdf
Class PDFOutline

    java.lang.Object
      |
      +--org.apache.fop.pdf.PDFObject
            |
            +--org.apache.fop.pdf.PDFOutline

public class PDFOutline
extends PDFObject

This represents a single Outline object in a PDF, including the root Outlines object. Outlines provide the bookmark bar, usually rendered to the right of a PDF document in user agents such as Acrobat Reader

Author:
  Kelly A. Campbell

Fields inherited from class org.apache.fop.pdf.PDFObject
`generation, number`

Constructor Summary
`PDFOutline(int number, java.lang.String title, java.lang.String action)`

Method Summary
`void` `addOutline(PDFOutline outline)` Add a sub element to this outline
`void` `setTitle(java.lang.String title)`
`protected byte[]` `toPDF()` represent the object in PDF

Methods inherited from class org.apache.fop.pdf.PDFObject
`getNumber, output, referencePDF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDFOutline

    public PDFOutline(int number,
                      java.lang.String title,
                      java.lang.String action)

  Parameters:
    `number` - the object id number
    `title` - the title of the outline entry (can only be null for root Outlines obj)
    `page` - the page which this outline refers to.

Method Detail

### setTitle

    public void setTitle(java.lang.String title)

### addOutline

    public void addOutline(PDFOutline outline)

  Add a sub element to this outline

### toPDF

    protected byte[] toPDF()

  represent the object in PDF

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.